PreparedTransactionStore (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.store.PreparedTransactionStore interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.store
Interface PreparedTransactionStore

All Superinterfaces:
  Service

All Known Implementing Classes:
  BDbPreparedTransactionStore, JDBCPreparedTransactionStore, JdbmPreparedTransactionStore, VMPreparedTransactionStoreImpl

public interface PreparedTransactionStore
extends Service

Represents a durable store of a prepare log for XA

Version:
  $Revision: 1.1 $

Method Summary
`ActiveMQXid[]` | `getXids()`
`void` | `loadPreparedTransactions(TransactionManager transactionManager)` Called on recovery to re-load any transactions which have prepared but not yet commited
`void` | `put(ActiveMQXid xid, Transaction transaction)`
`void` | `remove(ActiveMQXid xid)`

Methods inherited from interface org.codehaus.activemq.service.Service
`start, stop`

Method Detail

### getXids

    public ActiveMQXid[] getXids()
                          throws XAException

  Throws:
    `XAException`

### remove

    public void remove(ActiveMQXid xid)
                throws XAException

  Throws:
    `XAException`

### put

    public void put(ActiveMQXid xid,
                    Transaction transaction)
             throws XAException

  Throws:
    `XAException`

### loadPreparedTransactions

    public void loadPreparedTransactions(TransactionManager transactionManager)
                                  throws XAException

  Called on recovery to re-load any transactions which have prepared but not yet commited

  Parameters:
    `transactionManager` -
  Throws:
    `XAException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.